#jinja2: lstrip_blocks: True
apiVersion: v1
kind: Secret
metadata:
  name: {{ openshift_gitops_upstream_base_name | default('gitops-base') }}-repo
  namespace: openshift-gitops
  labels:
    argocd.argoproj.io/secret-type: repository
stringData:
  type: git
  url: {{ openshift_gitops_upstream_base }}
  {% if openshift_gitops_repo_ssh_privkey_content.content is defined %}
  sshPrivateKey: |
    {{ openshift_gitops_repo_ssh_privkey_content.content | b64decode | indent(width=4) }}
  {% endif %}
  {% if openshift_gitops_repo_username is defined and openshift_gitops_repo_password is defined %}
  username: "{{ openshift_gitops_repo_username }}"
  password: "{{ openshift_gitops_repo_password }}"
  {% endif %}
  insecure: "{{ openshift_gitops_upstream_base_insecure | default(false) }}"
  {% if openshift_gitops_use_proxy | default(False) %}
  {% if https_proxy is defined %}
  proxy: {{ https_proxy }}
  {% else %}
  proxy: {{ http_proxy }}
  {% endif %}
  {% endif %}
